package com.xkrs.straw.utils;

import com.xkrs.straw.dao.FirePointOrdinaryDao;
import com.xkrs.straw.dao.FirePointPreciseDao;
import com.xkrs.straw.model.bean.DataWrapper2;
import com.xkrs.straw.model.entity.FirePointOrdinaryEntity;
import com.xkrs.straw.model.entity.FirePointPreciseEntity;

public class FirePointFilterUtils {

    private FirePointFilterUtils() {
    }

    public static DataWrapper2<Boolean, String> checkLandType(String landType) {
        if ("水体".equals(landType)) {
            return new DataWrapper2<>(Boolean.FALSE, "添加失败，不接收水体类型");
        }
        return new DataWrapper2<>(Boolean.TRUE, "");
    }

    public static DataWrapper2<Boolean, String> checkSatelliteType(String satelliteType, String confidence) {
        if ("Himawari 8".equals(satelliteType)) {
            if ("N".equals(confidence) || "L".equals(confidence)) {
                return new DataWrapper2<>(Boolean.FALSE, "添加失败，不接收葵花8中低置信度火点");
            }
        }
        return new DataWrapper2<>(Boolean.TRUE, "");
    }

    public static DataWrapper2<Boolean, String> checkDuplicated(FirePointOrdinaryDao firePointOrdinaryDao, FirePointOrdinaryEntity firePointOrdinaryEntity) {
/**
 *     private boolean checkDuplicatedData(FirePointEntity firePointEntity) {
 *         List<FirePointEntity> duplicatedDataList = firePointDao.findDuplicatedData(firePointEntity.getLongitude(), firePointEntity.getLatitude(), firePointEntity.getStreetCode(), firePointEntity.getSatelliteTime(), firePointEntity.getSatelliteType(), firePointEntity.getLandType());
 *         return duplicatedDataList != null && duplicatedDataList.size() > 0;
 *     }
 *
 *
 @Query(value = "SELECT * FROM fire_point WHERE longitude = ?1 AND latitude = ?2 AND street_code = ?3 AND satellite_time = ?4 AND satellite_type = ?5 AND land_type = ?6", nativeQuery = true)
 List<FirePointEntity> findDuplicatedData(double longitude, double latitude, String streetCode, String satelliteTime, String satelliteType, String landType);

 if (checkDuplicatedData(firePointEntity)) {
 log.info("-------该火点和历史火点重复，不入库");
 return false;
 }
 */
        return null;
    }


    public static DataWrapper2<Boolean, String> checkDuplicated(FirePointPreciseDao firePointPreciseDao, FirePointPreciseEntity firePointPreciseEntity) {

        return null;
    }
}
